<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package inhost
 */
global $inwave_cfg, $smof_data;
?>
</div> <!--end .content-wrapper -->
<?php

// default footer
if (!$inwave_cfg['footer-option']):
    ?>
<footer class="page-footer">
    <div class="container">
        <div class="row">
            <div class="col-md-3 col-sm-3 footer-left">
                <div class="footer-logo">
                    <a href="<?php echo esc_url(home_url('/')); ?>"><img alt="logo" src="<?php echo esc_url($smof_data['footer-logo']); ?>"/>
                    </a>
                </div>
                <div class="footer-text">
                    <?php echo esc_html($smof_data['footer-text']); ?>
                </div>
                <div class="footer-social-links">
                    <?php include(get_template_directory() . '/blocks/social-links.php'); ?>
                </div>
                <div class="footer-extra-links">
                    <a href="#"><?php echo __('Contact Us', 'inwavethemes') ?></a>
                    <a href="#"><?php echo __('Purchase', 'inwavethemes') ?></a>
                </div>
            </div>
            <div class="col-md-9 col-sm-9 footer-right">
                <?php if ( is_active_sidebar( 'sidebar-footer1' ) ): ?>
                <?php dynamic_sidebar('sidebar-footer1'); ?>
                <?php else: ?>
                    <div class="col-md-12"><?php _e('This is the footer area. Please add more sidebars in Appearance -> Widgets -> Sidebar Footer Default','inwavethemes'); ?>
                    </div>
                <?php endif;?>
            </div>
        </div>
    </div>
</footer>
<!-- .wrapper -->
</div>

<div class="copyright">
    <div class="container">
        <div class="row">
            <div class="col-md-3 col-sm-3">
            <?php if ($smof_data['backtotop-button']): ?>
                <div class="back-to-top"><a href="#top" title="Back to top" class="button-effect3"><i
                            class="fa fa-angle-double-up"></i></a></div>
            <?php endif; ?>
            </div>
            <div class="col-md-9 col-sm-9">
                <?php echo wp_kses($smof_data['footer-copyright'], 'a') ?>
            </div>
        </div>
    </div>
</div>

<?php else:

    // one page footer
    ?>
    <footer class="page-footer onepage-footer">
    <div class="container">
        <div class="footer-logo">
                    <a href="<?php echo esc_url(home_url('/')); ?>"><img alt="logo" src="<?php echo esc_url($smof_data['footer-logo']); ?>"/></a>
                </div>
                <div class="footer-text">
                    <?php echo _e('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur venenatis justo at mauris dapibus, et fringilla tortor sagittis. Quisque id neque sit amet nisl semper vulputate. Nulla finibus elementum turpis, sed gravida sapien lobortis at. Vivamus iaculis pretium risus nec egestas', 'inwavethemes'); ?>
                </div>
                <h3><?php echo __('CONNECT WITH US', 'inwavethemes') ?></h3>
                <?php
    $smof_data['social-links-all'] = true;
    include(get_template_directory() . '/blocks/social-links.php');
    ?>
        </div>
    </footer>
    <div class="copyright onepage-copyright">
        <div class="container">
            <?php _e('Designed with <i class="theme-color fa fa-heart"></i> by <a href="#">InwaveThemes</a>', 'inwavethemes') ?>
                <?php if ($smof_data['backtotop-button']): ?>
                <div class="back-to-top"><a href="#top" title="Back to top" class="button-effect3"><i class="fa fa-arrow-up"></i></a></div>
            <?php endif; ?>
        </div>
    </div>
<!-- .wrapper -->
</div>

<?php endif; ?>
<?php wp_footer(); ?>
</body>
</html>
